Subject: [Mgs] When the quest becomes tough...

From: Rick Lindsay <[email-masked]>
Date: Sun, 23 Dec 2012 13:58:14 -0800 (PST)

...I tend to ask my MG friends - even for non-MG quests! :-)

I'm rebuilding a friends Lotus-Ford TwinCam engine from his '65 Elan.  I'm having trouble sourcing the correct oil filter cartridge for this engine.  Here's the back story;

Many of these engines have seen long life and the pumps have been changed to the later spin-on filter design.  This engine died early on and sat for 15+ years.  It still has the original pump in excellent condition, and we want to keep it.  The problem is that there was a design change between the first cartridge element and the spin on design, resulting in an intermediate cartridge - and the intermediate is by far, the more readily available element.  Our engine needs the first, early design.

Can (and if so, will) any of you kind folks who have played with the Lotus TwinC or the little Fords using this same bottom end, please offer a filter number?

Thanks, in advance, and Merry Christmas!

-rick / MG-less, at the moment
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]